package com.steerinfo.baseinfo.meterbasespecialunit.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="特殊单位表")
public class MeterBaseSpecialUnit implements IBasePO<String> {
    /**
     * 特殊单位编号(UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="特殊单位编号",required=true)
    private String unitNo;

    /**
     * 特殊单位名称(UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="特殊单位名称",required=true)
    private String unitName;

    /**
     * 状态（0：无效；1:有效）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：无效；1:有效）",required=true)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人名称(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人名称",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.unitNo;
    }

    @Override
    public void setId(String unitNo) {
        this.unitNo = unitNo == null ? null : unitNo.trim();
    }

    public String getUnitNo() {
        return unitNo;
    }

    public void setUnitNo(String unitNo) {
        this.unitNo = unitNo == null ? null : unitNo.trim();
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName == null ? null : unitName.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", unitNo=").append(unitNo);
        sb.append(", unitName=").append(unitName);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}